﻿using System;
using System.Collections.Generic;
using System.Text;

using Microsoft.Win32;
using System.Diagnostics;

using RegistryHelper;

namespace NAVApplication
{
    /*
     * This class represents the Microsoft Dynamics NAV Executables.
     */
    public class NAVExecutables
    {
        /*
         * Function RetrieveInstallationPath
         * @return string The installation path of the Microsoft Dynamics NAV RoleTailored Client
         * 
         * Performs a registry query on the local machine to find the installation path of the executables.
         * HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\Microsoft.Dynamics.Nav.Client.exe
         */
        private static string RetrieveInstallationPath()
        {
            return RegistryQuery.GetKeyValue(
                Registry.LocalMachine,
                @"SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\Microsoft.Dynamics.Nav.Client.exe",
                "Path");
        }

        /*
         * Method Run
         * 
         * Launches the Microsoft Dynamics NAV RoleTailored Client
         */
        public static void Run()
        {
            Process.Start(RetrieveInstallationPath() + @"\Microsoft.Dynamics.Nav.Client.exe");
        }

    }
}
